Bug 91264 - grub boot hangs at "finding module dependencies"
grub boot hangs at "finding module dependencies"
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-20 12:45 EDT by Gregory Miller
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gregory Miller 2003-05-20 12:45:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
When booting RH with grub (menu.lst below) the boot process
hangs at "finding module dependencies".  When booting
with recovery disk, no problems.  When booting windows XP
with grub, no problems.

Is there something wrong with this anaconda-generated
grub configuration, or is there a problem with grub itself?

ment.lst:

default=0
timeout=10
splashimage=(hd1,0)/grub/splash.xpm.gz
title Red Hat Linux (2.4.20-6)
        root (hd1,0)
        kernel /vmlinuz-2.4.20-6 ro root=LABEL=/ hdc=ide-scsi
        initrd /initrd-2.4.20-6.img
title DOS
        rootnoverify (hd0,0)
        chainloader +1


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  RH boot with grub always fails as configured
2.  Reinstalled RH9 twice - same results
3.
    

Additional info:

2 scsi disks.  1st contains XP and MBR holds grub
2nd scsi disk has /boot, /, /home, and swap partitions.
ext3 filesystem.
Comment 1 Gregory Miller 2003-05-25 10:49:03 EDT
revision -- today, when attempting boot with Grub to Linux, the system
hung at the point "mounting local file systems"  -- a couple of steps
in the boot process beyond the "finding module dependencies" step.
I don't know for certain if this is different, or if I mistook the
failure point before.  Whatever the case -- I still need the boot disk.

Also tried reinstalling the boot loader using the distribution disk.
It wouldn't do so since all packages were in place.  What's the
workarround for that?
Comment 2 Gregory Miller 2003-05-25 11:18:01 EDT
again -- this time is failed at "checking module dependencies" for
sure.  So -- the failure point DOES vary from attempt to attempt.
Comment 3 Alberto Di Meglio 2003-05-28 20:52:33 EDT
I have the same problem on a SOny VAIO PCG-GRX616 with a Toshiba MK4018GAS HD 
and a Sony CD-RW CRX820E. The system is a dual boot with WXP and Linux RH 9 
(2.4.20-6). Linux has been installed from RH DVD choosing the Workstation 
configuration. When booting Linux with Grub it hangs at "Finding module 
dependencies", "Checking for new hardware" or "Updating /etc/fstab" depending 
on the status of the boot (that is if I'm doing a clean boot or I've done a 
hard reset and the file system check is performed). If I remove the CD-ROM 
drive the boot sequence is successfully completed.
Comment 4 Alberto Di Meglio 2003-06-03 17:27:59 EDT
After some more tests: the system appears now to consistently hang at 
the "Updating /etc/fstab" message if the CD-ROM is in the laptop. In addition. 
I've found that the system hangs also if I mount the CD-ROM after the boot. 
It's probably a different bug than the one reported here.
Comment 5 Alberto Di Meglio 2003-06-03 18:48:43 EDT
Well, I've just installed kernel 2.4.20-18.9 and the problem has completely 
disappeared. I don't know what's the difference, though. Not expert enough. If 
you want me to give more info, send me instructions and I'll be glad to do so. 
Thanks a lot.
Comment 6 Gregory Miller 2003-07-05 15:07:35 EDT
This problem still exists for me, now using latest kernel release
2.4.20-18.9.  If I boot using grub, I can access windows XP.  The
boot of Linux fails, usually when checking module dependencies.
I can always boot using the floppy.
Comment 7 Bugzilla owner 2004-09-30 11:40:58 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.